<?php
session_start();
require('../cfg/res.php');
require('../cfg/cfg.php');
include('php_gene1.php');

$xvalid=1;
echo '<resultado>';

$codigo=$_POST['codigo'];

if ($codigo=="")
// if (1==1)
{
$sql_valid='select * from item0 where item_ean!="0000000000000" and item_ean!="" and  item_ean like "'.$_POST['ean'].'"';
$res_valid=mysql_query($sql_valid,$link_vcrx);
if(mysql_num_rows($res_valid)!=0){$xvalid=0;  $num=mysql_result($res_valid,0,'item_codigo');}

$sql_valid='select * from item0 where item_numpart!="" and  item_numpart like "'.$_POST['numpart'].'"';
$res_valid=mysql_query($sql_valid,$link_vcrx);
if(mysql_num_rows($res_valid)!=0){$xvalid=0;  $num=mysql_result($res_valid,0,'item_codigo');}

$sql_valid ='select * from item0 where ';
$sql_valid.='item_mrca!="" and item_mrca like "'.$_POST['mrca'].'" and item_modelo!="" and item_modelo like "'.$_POST['modelo'].'"';
$res_valid=mysql_query($sql_valid,$link_vcrx);

if(mysql_num_rows($res_valid)!=0){$xvalid=0;  $num=mysql_result($res_valid,0,'item_codigo');}
}

if($xvalid==0)
{
  echo '<msj1>ITEM YA EXISTE : '.$num.' ****</msj1>';
  echo '<codigo>'.$num.'</codigo>';
}

if($xvalid==1)
{	
  
$num=$codigo;  
if($codigo=="")
{  
$sql_num='select max(item_codigo) as nume from item0 where CAST(item_codigo AS UNSIGNED) > 100000 and CAST(item_codigo AS UNSIGNED) < 200000';
$res_num=mysql_query($sql_num,$link_vcrx);

$num=10000;
if(mysql_num_rows($res_num)>0){$num=mysql_result($res_num,0,'nume');}
if(empty($num)){$num=10000;}

$num=substr($num, 0, 5);
$num++;

require('../../_lib/vrmod11.php');
$num=$num . vrmod11($num,false);
}
  
  
$sql_item='insert into item0(
item_codigo,
item_idate,
item_iuser
)
values(
"'.$num.'",
NOW(),
"'.$_SESSION['user_vcrx_id'].'"
)';
mysql_query($sql_item,$link_vcrx);

echo '<msj1>CODIGO OK : '.$num.'</msj1>';
echo '<codigo>'.$num.'</codigo>';

$descri=$_POST['descri'];
$descri2=$_POST['descri2'];
$modelo=$_POST['modelo'];
// $descri=escape($_POST['descri']);
// $modelo=escape($_POST['modelo']);
  
$sql_item='update item0 set ';
$sql_item.= 'item_descri="'.$descri.'", ';
$sql_item.= 'item_descri2="'.$descri2.'", ';
$sql_item.= 'item_lsub="'.$_POST['lsub'].'", ';
$sql_item.= 'item_mrca="'.$_POST['mrca'].'", ';
$sql_item.= 'item_modelo="'.$modelo.'", ';
$sql_item.= 'item_ice="'.$_POST['ice'].'", ';
$sql_item.= 'item_iva="'.$_POST['iva'].'", ';
$sql_item.= 'item_irbp="'.$_POST['irbp'].'", ';
$sql_item.= 'item_dcto="'.$_POST['dcto'].'", ';
$sql_item.= 'item_puni="'.$_POST['puni'].'", ';
$sql_item.= 'item_cost="'.$_POST['cost'].'", ';
$sql_item.= 'item_cair="'.$_POST['cair'].'", ';
$sql_item.= 'item_ctavtas="'.$_POST['ctavtas'].'", ';
$sql_item.= 'item_lused=now(), ';
$sql_item.= 'item_status=item_status ';
// $sql_item.= 'where item_codigo= "'.$num.'"';
$sql_item.= 'where item_codigo like "'.$num.'%"';
mysql_query($sql_item,$link_vcrx);

//   echo $sql_item;
  
echo '<msj2>CODIGO OK : '.$sql_item.'</msj2>';
  
$sql_item='update item0 set ';
$sql_item.= 'item_lado="'.$_POST['lado'].'",';
$sql_item.= 'item_umdd="'.$_POST['umdd'].'",';
$sql_item.= 'item_clor="'.$_POST['clor'].'",';
$sql_item.= 'item_kldd="'.$_POST['kldd'].'",';
$sql_item.= 'item_status=item_status ';
$sql_item.= 'where item_codigo like "'.$num.'%"';
mysql_query($sql_item,$link_vcrx);
  
  
$xean=$_POST['ean'];
if($xean=='' or substr($xean,0,10)=='0000000000')
{
  $xean=$num;
//   if(trim($xean)<10)
  {$xean=substr('1'.$xean.'0000000000000',0,12);}
  $xean.=val_ean($xean);
}
  
$sql_item='update item0 set ';
$sql_item.= 'item_ean="'.$xean.'", ';
$sql_item.= 'item_status=item_status ';
$sql_item.= 'where item_codigo like "'.$num.'" ';
$sql_item.= ' and (item_ean="" or item_ean is null or length(trim(item_ean))<10 or item_ean like "0000000000%")';
mysql_query($sql_item,$link_vcrx);
  
$sql_item='update item0 set ';
$sql_item.= 'item_numpart="'.$_POST['numpart'].'", ';
$sql_item.= 'item_codigov="'.$_POST['codigov'].'", ';
$sql_item.= 'item_status=item_status ';
$sql_item.= 'where item_codigo like "'.$num.'"';
mysql_query($sql_item,$link_vcrx);
  
  
$sql_item='update item0 set ';
$sql_item.= 'item_tlla="'.$_POST['tlla'].'",';
$sql_item.= 'item_rend="'.$_POST['rend'].'" ';
$sql_item.= 'item_status=item_status ';
$sql_item.= 'where item_codigo like "'.$num.'"';
mysql_query($sql_item,$link_vcrx);

sub_item($num);	

}



// $ci=$_POST['ci'];

// $item_sql='insert into item0(item_codigo,item_idate,item_iuser)values("'.$_POST['ci'].'",NOW(),"'.$_SESSION['user_vcrx_id'].'")';
// echo '<resultado>';
//if(!mysql_query($item_sql,$link_vcrx)){ echo '<error1>'.mysql_error($link_vcrx).'-</error1>'; }
if(mysql_query($item_sql,$link_vcrx)){ echo '<error1>Se Registro con Exito</error1>'; }

if(isset($_FILES['archivo']) && !empty($_FILES['archivo'])){
$img_sql='insert into imgi0(
	imgi_item,
	imgi_file,
	imgi_iuser,
	imgi_idate
	)values(
	"'.$num.'",
	"'.$_FILES['archivo']['name'].'",
	"'.$_SESSION['user_vcrx_id'].'",
	now()
	)';
mysql_query($img_sql,$link_vcrx);
//$img_sql='select max(imgi_codigo)as maximo from imgi0 where imgi_item="'.$num.'"';
//$img_res=mysql_query($img_sql,$link_vcrx);
//$img_max=mysql_result($img_res,0,'maximo');
//$n_archivo='../ctlg/'.$num.$img_max.'.png';
$n_archivo='../ctlg/'.$_FILES['archivo']['name'];
if(!move_uploaded_file($_FILES['archivo']['tmp_name'], $n_archivo)){ echo '<imagen>Ocurrio un Error al subir imagen</imagen>'; }
}
echo '</resultado>';



// if(empty($_POST['ci'])){$ci=$_SESSION['user_vcrx_id'];}
// if ( !mb_stristr('admi.sist.supe',strtolower($_SESSION['user_vcrx_tipo'])) ) {$ci=$_SESSION['user_vcrx_id'];}
// if ( !mb_stristr('admi.sist.supe',strtolower($_SESSION['user_vcrx_tipo'])) && empty($_SESSION['user_vcrx_id']) ) {die('<error4>Sesion Expiro</error4></resultado>');}

// $nom1=$_POST['n1'];
// $nom2=$_POST['n2'];
// $ape1=$_POST['a1'];
// $ape2=$_POST['a2'];
// $razsoc=$_POST['rs'];
// $nomcom=$_POST['nc'];

// $xdescri=$razsoc;
// if(mb_stristr('012345',substr($ci,2,1) ))
// {$xdescri=$ape1.' '.$ape2.' '.$nom1.' '.$nom2;}

// if ($razsoc==""){$razsoc=$ape1.' '.$ape2.' '.$nom1.' '.$nom2;}

// $calle1=$_POST['c12'];
// $calle2=$_POST['c22'];
// $calle3=$_POST['c32'];
// $callen=$_POST['cn2'];
// $xdireccion = $calle1.' ('.$callen.') '.$calle2.' /'.$calle3;

// $sql_upe='update item0 set ';
// $sql_upe.='item_nom1="'.$nom1.'",';
// $sql_upe.='item_nom2="'.$nom2.'",';
// $sql_upe.='item_ape1="'.$ape1.'",';
// $sql_upe.='item_ape2="'.$ape2.'",';
// $sql_upe.='item_calle1="'.$calle1.'",';
// $sql_upe.='item_calle2="'.$calle2.'",';
// $sql_upe.='item_calle3="'.$calle3.'",';
// $sql_upe.='item_callen="'.$callen.'",';
// $sql_upe.='item_email="'.$_POST['email2'].'",';
// $sql_upe.='item_telefono="'.$_POST['tel2'].'",';
// $sql_upe.='item_pais="'.$_POST['pais'].'",';
// $sql_upe.='item_cdad="'.$_POST['cdad'].'",';
// $sql_upe.='item_nickname="'.$_POST['nik'].'",';
// $sql_upe.='item_fechanac="'.$_POST['fn'].'",';
// $sql_upe.='item_sexo="'.$_POST['sexo'].'",';
// $sql_upe.='item_zsub="'.$_POST['zsub'].'",';
// $sql_upe.='item_csub="'.$_POST['csub'].'",';
// $sql_upe.='item_vndd="'.$_POST['vndd'].'",';
// $sql_upe.='item_rcdd="'.$_POST['rcdd'].'",';
// $sql_upe.='item_pasaporte="'.$_POST['pspt'].'",';
// $sql_upe.='item_conadis="'.$_POST['conadis'].'",';
// $sql_upe.='item_nomcom="'.$_POST['nc'].'",';
// $sql_upe.='item_razsoc="'.$razsoc.'",';
// $sql_upe.='item_descri="'.$_POST['descri'].'",';
// $sql_upe.='item_direccion="'.$xdireccion.'",';

// $sql_upe.='item_zsub="'.$_POST['zsub'].'",';
// $sql_upe.='item_vndd="'.$_POST['vndd'].'",';
// $sql_upe.='item_rcdd="'.$_POST['rcdd'].'",';

// $sql_upe.='item_struc="'.$_POST['struc'].'"';
// $sql_upe.='where item_codigo="'.$ci.'"';
// if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

// echo $sql_upe;

// $sql_upe='update item0 set item_descri="'.$xdescri.'" where item_codigo="'.$ci.'"';
// if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

// $sql_upe='update item0 set ';
// if(mb_stristr('gnya.demo.leie',$empr_codigo))
// {
// 	if(empty($_POST['ref'])){$_POST['ref']=$empr_ruc;}
// 	$sql_upe.=' item_referidox="'.$_POST['ref'].'",';
// }
// $sql_upe.=' item_descri=item_descri ';
// $sql_upe.= ' where item_codigo="'.$ci.'"';
// if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

// // if(!empty($_POST['tel2']) ||  !empty($_POST['email2']) || !empty($_POST['contacto2']) )
// $vadrs=$_POST['c12'].$_POST['tel2'].$_POST['email2'];
// if(!empty($vadrs) )
// {
// 	$sql_indrtr='insert into adrs0 (
// 	adrs_item,
// 	adrs_tlfn,
// 	adrs_ext,
// 	adrs_contacto,
// 	adrs_calle1,
// 	adrs_calle2,
// 	adrs_calle3,
// 	adrs_callen,
// 	adrs_cdad,
// 	adrs_email,
// 	adrs_iuser,
// 	adrs_idate,
// 	adrs_status
// 	)
// 	values(
// 	"'.$ci.'",
// 	"'.$_POST['tel2'].'",
// 	"'.$_POST['ext2'].'",
// 	"'.$_POST['contacto2'].'",
// 	"'.$_POST['c12'].'",
// 	"'.$_POST['c22'].'",
// 	"'.$_POST['c32'].'",
// 	"'.$_POST['cn2'].'",
// 	"'.$_POST['cdad'].'",
// 	"'.$_POST['email2'].'",
// 	"'.$_SESSION['user_vcrx_id'].'",
// 	NOW(),"-"
// 	)';
// 	//echo $sql_indrtr;
// 	if(!mysql_query($sql_indrtr,$link_vcrx)){	echo '<error3>'.mysql_error($link_vcrx).$sql_indrtr.'</error3>';}
// }


// if($empr_codigo!='demo'){ mysql_select_db('vcrxol_demo',$link_vcrx); mysql_query($item_sql,$link_vcrx); }
?>